Version 2.3.9

Released on 2018/05/17.

Note

If you are upgrading a cluster, you must be running CrateDB Version 1.1.3 or higher before you upgrade to 2.3.9.

If you want to perform a rolling upgrade, your current CrateDB version number must be at least Version 2.3.0. Any upgrade from a version prior to this will require a full restart upgrade.

Warning

Before upgrading, you should back up your data.

Table of contents

Changelog

Fixes

  • Fixed a stack overflow exception on upserts which could be caused by retries on version conflicts.
  • Fixed a memory leak caused by using the hyperloglog_distinct function.